Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

GET /v1/linked_accounts

List Accounts

Returns a list of Financial Connections Account objects.

Request parameters

ParameterLocationTypeDescription
account_holderqueryobjectIf present, only return accounts that belong to the specified account holder. `account_holder[customer]` and `account_holder[account]` are mutually exclusive.
ending_beforequerystringA cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.
expandqueryarray of stringSpecifies which fields in the response should be expanded.
limitqueryintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
sessionquerystringIf present, only return accounts that were collected as part of the given session.
starting_afterquerystringA cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
data requiredarray of financial_connections.accountDetails about each object.
has_more requiredbooleanTrue if this list has another page of items after this one that can be fetched.
object requiredstringString representing the object's type. Objects of the same type share the same value. Always has the value `list`.
url requiredstringThe URL where this list can be accessed.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/linked_accounts/{account}

Retrieve an Account

Retrieves the details of an Financial Connections Account.

Request parameters

ParameterLocationTypeDescription
accountpathstring
expandqueryarray of stringSpecifies which fields in the response should be expanded.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
account_holderone of multiple schemasThe account holder that this account belongs to.
account_numbersarray of bank_connections_resource_account_number_detailsDetails about the account numbers.
balanceone of multiple schemasThe most recent information about the account's balance.
balance_refreshone of multiple schemasThe state of the most recent attempt to refresh the account balance.
category requiredstringThe type of the account. Account category is further divided in `subcategory`.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
display_namestringA human-readable name that has been assigned to this account, either by the account holder or by the institution.
id requiredstringUnique identifier for the object.
institution_name requiredstringThe name of the institution that holds this account.
last4stringThe last 4 digits of the account number. If present, this will be 4 numeric characters.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
ownershipone of multiple schemasThe most recent information about the account's owners.
ownership_refreshone of multiple schemasThe state of the most recent attempt to refresh the account owners.
permissionsarray of stringThe list of permissions granted by this account.
status requiredstringThe status of the link to the account.
status_detailsbank_connections_resource_account_status_details
subcategory requiredstringIf `category` is `cash`, one of: - `checking` - `savings` - `other` If `category` is `credit`, one of: - `mortgage` - `line_of_credit` - `credit_card` - `other` If `category` is `investment` or `other`, this will be `other`.
subscriptionsarray of stringThe list of data refresh subscriptions requested on this account.
supported_payment_method_types requiredarray of stringThe [PaymentMethod type](https://docs.stripe.com/api/payment_methods/object#payment_method_object-type)(s) that can be created from this account.
transaction_refreshone of multiple schemasThe state of the most recent attempt to refresh the account transactions.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/linked_accounts/{account}/disconnect

Disconnect an Account

Disables your access to a Financial Connections Account. You will no longer be able to access data associated with the account (e.g. balances, transactions).

Request parameters

ParameterLocationTypeDescription
accountpathstring
FieldTypeDescription
expandarray of stringSpecifies which fields in the response should be expanded.

Responses

HTTP 200: Successful response.
FieldTypeDescription
account_holderone of multiple schemasThe account holder that this account belongs to.
account_numbersarray of bank_connections_resource_account_number_detailsDetails about the account numbers.
balanceone of multiple schemasThe most recent information about the account's balance.
balance_refreshone of multiple schemasThe state of the most recent attempt to refresh the account balance.
category requiredstringThe type of the account. Account category is further divided in `subcategory`.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
display_namestringA human-readable name that has been assigned to this account, either by the account holder or by the institution.
id requiredstringUnique identifier for the object.
institution_name requiredstringThe name of the institution that holds this account.
last4stringThe last 4 digits of the account number. If present, this will be 4 numeric characters.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
ownershipone of multiple schemasThe most recent information about the account's owners.
ownership_refreshone of multiple schemasThe state of the most recent attempt to refresh the account owners.
permissionsarray of stringThe list of permissions granted by this account.
status requiredstringThe status of the link to the account.
status_detailsbank_connections_resource_account_status_details
subcategory requiredstringIf `category` is `cash`, one of: - `checking` - `savings` - `other` If `category` is `credit`, one of: - `mortgage` - `line_of_credit` - `credit_card` - `other` If `category` is `investment` or `other`, this will be `other`.
subscriptionsarray of stringThe list of data refresh subscriptions requested on this account.
supported_payment_method_types requiredarray of stringThe [PaymentMethod type](https://docs.stripe.com/api/payment_methods/object#payment_method_object-type)(s) that can be created from this account.
transaction_refreshone of multiple schemasThe state of the most recent attempt to refresh the account transactions.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/linked_accounts/{account}/owners

List Account Owners

Lists all owners for a given Account

Request parameters

ParameterLocationTypeDescription
accountpathstring
ending_beforequerystringA cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.
expandqueryarray of stringSpecifies which fields in the response should be expanded.
limitqueryintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
ownershipquerystringThe ID of the ownership object to fetch owners from.
starting_afterquerystringA cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
data requiredarray of financial_connections.account_ownerDetails about each object.
has_more requiredbooleanTrue if this list has another page of items after this one that can be fetched.
object requiredstringString representing the object's type. Objects of the same type share the same value. Always has the value `list`.
url requiredstringThe URL where this list can be accessed.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/linked_accounts/{account}/refresh

Refresh Account data

Refreshes the data associated with a Financial Connections Account.

Request parameters

ParameterLocationTypeDescription
accountpathstring
FieldTypeDescription
expandarray of stringSpecifies which fields in the response should be expanded.
features requiredarray of stringThe list of account features that you would like to refresh.

Responses

HTTP 200: Successful response.
FieldTypeDescription
account_holderone of multiple schemasThe account holder that this account belongs to.
account_numbersarray of bank_connections_resource_account_number_detailsDetails about the account numbers.
balanceone of multiple schemasThe most recent information about the account's balance.
balance_refreshone of multiple schemasThe state of the most recent attempt to refresh the account balance.
category requiredstringThe type of the account. Account category is further divided in `subcategory`.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
display_namestringA human-readable name that has been assigned to this account, either by the account holder or by the institution.
id requiredstringUnique identifier for the object.
institution_name requiredstringThe name of the institution that holds this account.
last4stringThe last 4 digits of the account number. If present, this will be 4 numeric characters.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
ownershipone of multiple schemasThe most recent information about the account's owners.
ownership_refreshone of multiple schemasThe state of the most recent attempt to refresh the account owners.
permissionsarray of stringThe list of permissions granted by this account.
status requiredstringThe status of the link to the account.
status_detailsbank_connections_resource_account_status_details
subcategory requiredstringIf `category` is `cash`, one of: - `checking` - `savings` - `other` If `category` is `credit`, one of: - `mortgage` - `line_of_credit` - `credit_card` - `other` If `category` is `investment` or `other`, this will be `other`.
subscriptionsarray of stringThe list of data refresh subscriptions requested on this account.
supported_payment_method_types requiredarray of stringThe [PaymentMethod type](https://docs.stripe.com/api/payment_methods/object#payment_method_object-type)(s) that can be created from this account.
transaction_refreshone of multiple schemasThe state of the most recent attempt to refresh the account transactions.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors